#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ScalpHunterPro[] cacheScalpHunterPro;

		
		public ScalpHunterPro ScalpHunterPro(int timeFrame, int length, int linesL, double level1, double level2, bool barColor, Brush barColorUp, Brush barColorDown, Brush barColorNeutral, Brush lineCol, double labelMult)
		{
			return ScalpHunterPro(Input, timeFrame, length, linesL, level1, level2, barColor, barColorUp, barColorDown, barColorNeutral, lineCol, labelMult);
		}


		
		public ScalpHunterPro ScalpHunterPro(ISeries<double> input, int timeFrame, int length, int linesL, double level1, double level2, bool barColor, Brush barColorUp, Brush barColorDown, Brush barColorNeutral, Brush lineCol, double labelMult)
		{
			if (cacheScalpHunterPro != null)
				for (int idx = 0; idx < cacheScalpHunterPro.Length; idx++)
					if (cacheScalpHunterPro[idx].TimeFrame == timeFrame && cacheScalpHunterPro[idx].length == length && cacheScalpHunterPro[idx].linesL == linesL && cacheScalpHunterPro[idx].level1 == level1 && cacheScalpHunterPro[idx].level2 == level2 && cacheScalpHunterPro[idx].BarColor == barColor && cacheScalpHunterPro[idx].barColorUp == barColorUp && cacheScalpHunterPro[idx].barColorDown == barColorDown && cacheScalpHunterPro[idx].barColorNeutral == barColorNeutral && cacheScalpHunterPro[idx].LineCol == lineCol && cacheScalpHunterPro[idx].LabelMult == labelMult && cacheScalpHunterPro[idx].EqualsInput(input))
						return cacheScalpHunterPro[idx];
			return CacheIndicator<ScalpHunterPro>(new ScalpHunterPro(){ TimeFrame = timeFrame, length = length, linesL = linesL, level1 = level1, level2 = level2, BarColor = barColor, barColorUp = barColorUp, barColorDown = barColorDown, barColorNeutral = barColorNeutral, LineCol = lineCol, LabelMult = labelMult }, input, ref cacheScalpHunterPro);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ScalpHunterPro ScalpHunterPro(int timeFrame, int length, int linesL, double level1, double level2, bool barColor, Brush barColorUp, Brush barColorDown, Brush barColorNeutral, Brush lineCol, double labelMult)
		{
			return indicator.ScalpHunterPro(Input, timeFrame, length, linesL, level1, level2, barColor, barColorUp, barColorDown, barColorNeutral, lineCol, labelMult);
		}


		
		public Indicators.ScalpHunterPro ScalpHunterPro(ISeries<double> input , int timeFrame, int length, int linesL, double level1, double level2, bool barColor, Brush barColorUp, Brush barColorDown, Brush barColorNeutral, Brush lineCol, double labelMult)
		{
			return indicator.ScalpHunterPro(input, timeFrame, length, linesL, level1, level2, barColor, barColorUp, barColorDown, barColorNeutral, lineCol, labelMult);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ScalpHunterPro ScalpHunterPro(int timeFrame, int length, int linesL, double level1, double level2, bool barColor, Brush barColorUp, Brush barColorDown, Brush barColorNeutral, Brush lineCol, double labelMult)
		{
			return indicator.ScalpHunterPro(Input, timeFrame, length, linesL, level1, level2, barColor, barColorUp, barColorDown, barColorNeutral, lineCol, labelMult);
		}


		
		public Indicators.ScalpHunterPro ScalpHunterPro(ISeries<double> input , int timeFrame, int length, int linesL, double level1, double level2, bool barColor, Brush barColorUp, Brush barColorDown, Brush barColorNeutral, Brush lineCol, double labelMult)
		{
			return indicator.ScalpHunterPro(input, timeFrame, length, linesL, level1, level2, barColor, barColorUp, barColorDown, barColorNeutral, lineCol, labelMult);
		}

	}
}

#endregion
